/**
 * Theme Name: 1RPH Theme
 * Template: make
 */
 
  html{
    background: #ffffff;
    }

/* Accessibility */
.screen-reader-text {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

.screen-reader-text:focus{
  clip: unset;
}

.visually-hidden {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

/* General */
.pre-header {
  border: 4px solid #a82222;
}

.demo .container {
  max-width: 1440px !important;
}

/* Header */
header.container {
  padding-block: 3rem 0;
  display: grid;
  grid-template-columns: 210px 1fr;
  gap: 3.2rem;
  align-items: flex-end;
  margin-bottom: 3rem;
  background: #ffffff;
}

header.container img {
  width: 150px;
  height: auto;
}

header.container .logo-wrapper span {
  text-transform: uppercase;
  color: #a82222;
  font-size: 12px;
  margin: 0;
  letter-spacing: 1.24px;
}

header.container .menu-wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: space-between;
  gap: 2rem;
  min-height: 90px;
  height: 100%;
}

header.container .menu {
  position: relative;
  z-index: 999;
  display: flex;
  justify-content: flex-end;
  list-style-type: none;
  margin: 0;
  gap: 2.4rem;
}

header.container .menu a {
  color: #000000;
  text-wrap: nowrap;
  font-weight: 600;
}

header.container .menu a:hover, header.container .menu a:focus {
  text-decoration: underline;
  color: #A82222;
}

header.container .menu li.menu-item-has-children::after {
  content: " ▾";
}

header.container .menu .sub-menu {
  display: none;
  position: absolute;
  width: auto;
  list-style: none;
  padding: 0px 0 8px;
  margin: 0;
  background: #eed3d3;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.1);
}

header.container .menu .sub-menu li {
  padding: 8px 16px;
  border-bottom: 1px solid #a82222;
  margin: 8px;
}

header.container .menu-wrapper .flex {
  display: flex;
  gap: 1rem;
}

header.container .menu-wrapper .cta {
  background: #a82222;
  border-radius: 4px;
  color: #ffffff;
  transition: background-color 0.3s ease-in-out;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  gap: 1rem;
}

header.container .menu-wrapper .cta.black {
  background: #000000;
}

header.container .menu-wrapper .cta:hover, header.container .menu-wrapper .cta:focus{
  background: #000000;
  text-decoration: underline;
}

header.container .menu-wrapper .cta.black:hover, header.container .menu-wrapper .cta.black:focus{
  background: #a82222;
  text-decoration: underline;
}

header.container .mobile-menu-wrapper {
  display: none;
  grid-column: 1 / 3;
  width: 100%;
}

header.container .mobile-menu-wrapper .mobile-menu {
  list-style: none;
  padding: 0;
  margin: 0;
}

header.container .mobile-menu-wrapper .mobile-menu li {
  padding: 12px 8px;
  border-bottom: 1px solid #a82222;
}

header.container .mobile-menu-wrapper .mobile-menu li a {
  color: #000000;
}

header.container .mobile-menu-wrapper.show {
  display: block;
}

.cta.toggleMenu {
  display: none!important;
}

/* Hero */
.hero {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
  min-height: 50vh;
}

.hero div {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-start;
  padding: 3rem;
  overflow: hidden;
  border-radius: 4px;
}

.hero div:nth-child(1) {
  background: #A82222;
  background: -webkit-linear-gradient(0deg, rgba(168, 34, 34, 1) 0%, rgba(168, 34, 34, 0.85) 50%, rgba(255, 255, 255, 1) 100%);
  background: -moz-linear-gradient(0deg, rgba(168, 34, 34, 1) 0%, rgba(168, 34, 34, 0.85) 50%, rgba(255, 255, 255, 1) 100%);
  background: linear-gradient(0deg, rgba(168, 34, 34, 1) 0%, rgba(168, 34, 34, 0.85) 50%, rgba(255, 255, 255, 1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#A82222", endColorstr="#FFFFFF", GradientType=0);
}

.hero div:nth-child(2) {
  background: #000000;
  background: -webkit-linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.85) 50%, rgba(255, 255, 255, 1) 100%);
  background: -moz-linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.85) 50%, rgba(255, 255, 255, 1) 100%);
  background: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.85) 50%, rgba(255, 255, 255, 1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#000000", endColorstr="#FFFFFF", GradientType=0);
}

.hero div h2,
.hero div p {
  position: relative;
  z-index: 1;
  margin: 0 0 1rem 0;
  color: #ffffff;
}

.hero div h2 {
  font-weight: 700;
  font-size: 28px;
}

.hero div p {
  max-width: 400px;
  font-size: 18px;
}

.hero div .icon{
  z-index: 12;
  margin-block: 2rem;
  width: 64px;
  height: auto;
}

.hero div .rph-logo-swish {
  position: absolute;
  top: 0;
  right: -16px;
  width: auto;
  height: 100%;
  transition: height 0.8s ease-in-out, opacity 0.8s ease-in-out;
}

.hero div:hover .rph-logo-swish {
  height: 120%;
  opacity: 0;
}

.hero div img {
  position: absolute;
  z-index: 0;
  mix-blend-mode: multiply;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0.2;
  object-fit: cover;
  transition: height 1s ease-in-out;
}

.hero div:last-child img {
  mix-blend-mode: luminosity;
}

.hero div:hover img {
  height: 110%;
}

/* Button */
.button {
  background: none;
  display: inline;
  color: white;
  padding: 0;
  margin: 0;
  border: 0;
  border-radius: 0;
  position: relative;
  z-index: 1;
  font-weight: 600;
  font-size: 18px;
}

.button:hover,
.button:focus {
  background: none;
  color: #ffffff;
  border: 0;
  text-decoration: underline;
}

/* About */
.about {
  margin: 6rem auto;
  max-width: 900px;
}

.about span {
  color: #a82222;
}

.about p{
  font-size: 18px;
}

/* Sub-navigation */
.sub-navigation {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 16px;
  margin-bottom: 6rem;
}

.sub-navigation div {
  position: relative;
  background: rgba(168, 34, 34, 1);
  min-height: 380px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-start;
  padding: 3rem;
  overflow: hidden;
  border-radius: 4px;
}

.sub-navigation div h3 {
  position: relative;
  z-index: 1;
  margin: 0;
  font-weight: 600;
  color: #ffffff;
}

.sub-navigation div a {
  position: relative;
  z-index: 1;
  color: #ffffff;
  font-weight: 600;
}

.sub-navigation div a:hover, .sub-navigation div a:focus {
  text-decoration: underline;
}

.sub-navigation div p {
  position: relative;
  z-index: 1;
  font-size: 18px;
  margin-bottom: 8px;
  color: #ffffff;
}

.sub-navigation div img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 60%;
  object-fit: cover;
  z-index: 0;
  mix-blend-mode: multiply;
  transition: height 0.8s ease-in-out, opacity 0.8s ease-in-out;
}

.sub-navigation div:hover img {
  height: 110%;
  opacity: 10%;
}

/* Banner */
.banner {
  position: relative;
  overflow: hidden;
  background: #a82222;
  padding: 32px;
  display: flex;
  align-items: center;
  border-radius: 4px;
  min-height: 200px;
}

.banner h1,
.banner p {
  position: relative;
  color: #ffffff;
  z-index: 2;
}

.banner p {
  max-width: 850px;
  margin: 16px 0 0 0;
  text-wrap: pretty;
  font-size: 18px;
}

.banner div svg {
  position: absolute;
  top: 0;
  right: -16px;
  width: auto;
  height: 600%;
}

.banner div img {
  position: absolute;
  z-index: 0;
  mix-blend-mode: multiply;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0.2;
  object-fit: cover;
}

/* Weekly Schedule */
.weekly-schedule {
  margin-block: 48px;
}

.weekly-schedule h2 {
  margin-bottom: 16px;
}

/* Podcasts */
.podcasts {
  margin-block: 48px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 16px;
}

.podcasts :first-child {
  grid-column: 1 / -1;
}

.podcasts .podcast {
  background-color: rgba(168, 34, 34, 0.1);
  border-radius: 4px;
  border-left: 5px solid #A82222;
  padding: 32px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
}

.podcasts .podcast a {
  color: #a82222;
  font-weight: 600;
}

.podcasts .podcast a:hover {
  text-decoration: underline;
}

.podcasts .podcast p{
  font-size: 18px;
}

/* Tabs */
.tabs-container {
  display: grid;
  grid-template-columns: 200px 1fr;
  align-items: flex-start;
}

.tabs {
  display: flex;
  align-items: flex-start;
  gap: 8px;
  flex-wrap: wrap;
}

.tab {
  flex: 1;
  text-align: center;
  padding: 15px;
  cursor: pointer;
  background: #eed3d3;
  transition: background-color 0.3s, color 0.3s;
  border-radius: 4px;
  margin: 0 8px;
  font-size: 18px;
}

.tab:hover,
.tab:focus {
  background: rgb(208, 157, 157);
}

.tab[aria-selected="true"] {
  background: #a82222;
  color: #ffffff;
  border-color: #a82222;
}

.tab-content {
  display: none;
  padding: 0 0 0 6px;
  background: #ffffff;
}

.tab-content[aria-hidden="false"] {
  display: block;
}

/* Programs */
.programs {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  margin-block: 96px;
}

.programs div {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  padding: 32px;
  border-right: 2px solid #a82222;
}

.programs div:last-child {
  border-right: 0;
}

.programs div p {
  font-size: 18px;
}

.programs div a {
  color: #a82222;
  font-weight: 600;
}

.programs div a:hover, .programs div a:focus {
  text-decoration: underline;
}

/* Widget */
.widget li a {
  color: #a82222;
}

/* Media Queries */
@media screen and (max-width: 1279px) {
  .programs {
    grid-template-columns: 1fr 1fr;
  }

  .programs div {
    border-right: 0;
  }

  .programs div:nth-child(odd) {
    border-left: 2px solid #a82222;
  }
}

@media screen and (max-width: 1024px) {
  .cta.toggleMenu {
    display: flex!important;
    align-items: center;
    gap: 8px;
  }

  .cta.toggleMenu div {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 30px;
    height: 20px;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
  }

  .bar {
    width: 80%;
    height: 2px;
    background: #ffffff;
    transition: all 0.3s ease;
  }

  .cta.toggleMenu.open .bar:nth-child(1) {
    transform: rotate(45deg) translate(6px, 6px);
  }

  .cta.toggleMenu.open .bar:nth-child(2) {
    opacity: 0;
  }

  .cta.toggleMenu.open .bar:nth-child(3) {
    transform: rotate(-45deg) translate(7px, -7px);
  }

  header.container .menu-wrapper {
    justify-content: center;
    gap: 0;
  }

  header.container .menu {
    display: none;
  }

  .cta {
    display: none!important;
  }
}

@media screen and (max-width: 728px) {
  .hero {
    grid-template-columns: 1fr;
  }

  .sub-navigation {
    grid-template-columns: 1fr;
  }

  .sub-navigation div {
    min-height: 250px;
  }

  .tabs {
    flex-direction: column;
    border-bottom: none;
    align-items: normal;
  }

  .tab {
    border: 1px solid #ddd;
    margin-bottom: 5px;
    border-radius: 5px;
  }

  .tab-content {
    border-radius: 5px;
    margin-bottom: 10px;
  }

  .tabs-container {
    display: block;
  }

  .banner div svg {
    height: 300%;
  }

  .programs {
    grid-template-columns: 1fr;
  }

  .programs div {
    border-bottom: 2px solid #a82222;
    border-left: 0;
  }

  .programs div:nth-child(odd) {
    border-left: 0;
  }

  .podcasts {
    grid-template-columns: 1fr;
  }
}